EX=b"""{
  "parent": "minecraft:recipes/root",
  "criteria": {
    "has_%s": {
      "conditions": {"items": [{"items": ["%s"]}]},
      "trigger": "minecraft:inventory_changed"
    },
    "has_the_recipe": {
      "conditions": {"recipe": "regedt32:cntrafficsymbols/%s"},
      "trigger": "minecraft:recipe_unlocked"
    }
  },
  "requirements": [
    [
      "has_the_recipe",
      "has_%s"
    ]
  ],
  "rewards": {"recipes": ["regedt32:cntrafficsymbols/%s"]},
  "sends_telemetry_event": false
}
""".replace(b"\n",b"\r\n")
D={
 b"circle_backboard": b"regedt32:cntrafficsymbols/iron_plate",
 b"iron_plate_from_iron_ingot_stonecutting": b"minecraft:iron_ingot",
 b"iron_plate": b"minecraft:iron_block",
 b"lift_speedlimit_high_100": b"regedt32:cntrafficsymbols/lift_speedlimit_high_special",
 b"lift_speedlimit_high_105": b"regedt32:cntrafficsymbols/lift_speedlimit_high_special",
 b"lift_speedlimit_high_10": b"regedt32:cntrafficsymbols/lift_speedlimit_high_special",
 b"lift_speedlimit_high_110": b"regedt32:cntrafficsymbols/lift_speedlimit_high_special",
 b"lift_speedlimit_high_115": b"regedt32:cntrafficsymbols/lift_speedlimit_high_special",
 b"lift_speedlimit_high_120": b"regedt32:cntrafficsymbols/lift_speedlimit_high_special",
 b"lift_speedlimit_high_125": b"regedt32:cntrafficsymbols/lift_speedlimit_high_special",
 b"lift_speedlimit_high_130": b"regedt32:cntrafficsymbols/lift_speedlimit_high_special",
 b"lift_speedlimit_high_135": b"regedt32:cntrafficsymbols/lift_speedlimit_high_special",
 b"lift_speedlimit_high_140": b"regedt32:cntrafficsymbols/lift_speedlimit_high_special",
 b"lift_speedlimit_high_145": b"regedt32:cntrafficsymbols/lift_speedlimit_high_special",
 b"lift_speedlimit_high_150": b"regedt32:cntrafficsymbols/lift_speedlimit_high_special",
 b"lift_speedlimit_high_15": b"regedt32:cntrafficsymbols/lift_speedlimit_high_special",
 b"lift_speedlimit_high_20": b"regedt32:cntrafficsymbols/lift_speedlimit_high_special",
 b"lift_speedlimit_high_25": b"regedt32:cntrafficsymbols/lift_speedlimit_high_special",
 b"lift_speedlimit_high_30": b"regedt32:cntrafficsymbols/lift_speedlimit_high_special",
 b"lift_speedlimit_high_35": b"regedt32:cntrafficsymbols/lift_speedlimit_high_special",
 b"lift_speedlimit_high_3": b"regedt32:cntrafficsymbols/lift_speedlimit_high_special",
 b"lift_speedlimit_high_40": b"regedt32:cntrafficsymbols/lift_speedlimit_high_special",
 b"lift_speedlimit_high_45": b"regedt32:cntrafficsymbols/lift_speedlimit_high_special",
 b"lift_speedlimit_high_50": b"regedt32:cntrafficsymbols/lift_speedlimit_high_special",
 b"lift_speedlimit_high_55": b"regedt32:cntrafficsymbols/lift_speedlimit_high_special",
 b"lift_speedlimit_high_5": b"regedt32:cntrafficsymbols/lift_speedlimit_high_special",
 b"lift_speedlimit_high_60": b"regedt32:cntrafficsymbols/lift_speedlimit_high_special",
 b"lift_speedlimit_high_65": b"regedt32:cntrafficsymbols/lift_speedlimit_high_special",
 b"lift_speedlimit_high_70": b"regedt32:cntrafficsymbols/lift_speedlimit_high_special",
 b"lift_speedlimit_high_75": b"regedt32:cntrafficsymbols/lift_speedlimit_high_special",
 b"lift_speedlimit_high_80": b"regedt32:cntrafficsymbols/lift_speedlimit_high_special",
 b"lift_speedlimit_high_85": b"regedt32:cntrafficsymbols/lift_speedlimit_high_special",
 b"lift_speedlimit_high_90": b"regedt32:cntrafficsymbols/lift_speedlimit_high_special",
 b"lift_speedlimit_high_95": b"regedt32:cntrafficsymbols/lift_speedlimit_high_special",
 b"lift_speedlimit_high": b"regedt32:cntrafficsymbols/lift_speedlimit_high_special",
 b"lift_speedlimit_high_special": b"regedt32:cntrafficsymbols/lift_speedlimit_high_special",
 b"speedlimit_high_100": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"speedlimit_high_105": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"speedlimit_high_10": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"speedlimit_high_110": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"speedlimit_high_115": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"speedlimit_high_120": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"speedlimit_high_125": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"speedlimit_high_130": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"speedlimit_high_135": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"speedlimit_high_140": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"speedlimit_high_145": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"speedlimit_high_150": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"speedlimit_high_15": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"speedlimit_high_20": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"speedlimit_high_25": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"speedlimit_high_30": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"speedlimit_high_35": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"speedlimit_high_3": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"speedlimit_high_40": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"speedlimit_high_45": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"speedlimit_high_50": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"speedlimit_high_55": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"speedlimit_high_5": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"speedlimit_high_60": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"speedlimit_high_65": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"speedlimit_high_70": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"speedlimit_high_75": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"speedlimit_high_80": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"speedlimit_high_85": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"speedlimit_high_90": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"speedlimit_high_95": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"speedlimit_high": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"speedlimit_high_special": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"speedlimit_low_100": b"regedt32:cntrafficsymbols/speedlimit_low_special",
 b"speedlimit_low_105": b"regedt32:cntrafficsymbols/speedlimit_low_special",
 b"speedlimit_low_10": b"regedt32:cntrafficsymbols/speedlimit_low_special",
 b"speedlimit_low_110": b"regedt32:cntrafficsymbols/speedlimit_low_special",
 b"speedlimit_low_115": b"regedt32:cntrafficsymbols/speedlimit_low_special",
 b"speedlimit_low_120": b"regedt32:cntrafficsymbols/speedlimit_low_special",
 b"speedlimit_low_125": b"regedt32:cntrafficsymbols/speedlimit_low_special",
 b"speedlimit_low_130": b"regedt32:cntrafficsymbols/speedlimit_low_special",
 b"speedlimit_low_135": b"regedt32:cntrafficsymbols/speedlimit_low_special",
 b"speedlimit_low_140": b"regedt32:cntrafficsymbols/speedlimit_low_special",
 b"speedlimit_low_145": b"regedt32:cntrafficsymbols/speedlimit_low_special",
 b"speedlimit_low_150": b"regedt32:cntrafficsymbols/speedlimit_low_special",
 b"speedlimit_low_15": b"regedt32:cntrafficsymbols/speedlimit_low_special",
 b"speedlimit_low_20": b"regedt32:cntrafficsymbols/speedlimit_low_special",
 b"speedlimit_low_25": b"regedt32:cntrafficsymbols/speedlimit_low_special",
 b"speedlimit_low_30": b"regedt32:cntrafficsymbols/speedlimit_low_special",
 b"speedlimit_low_35": b"regedt32:cntrafficsymbols/speedlimit_low_special",
 b"speedlimit_low_3": b"regedt32:cntrafficsymbols/speedlimit_low_special",
 b"speedlimit_low_40": b"regedt32:cntrafficsymbols/speedlimit_low_special",
 b"speedlimit_low_45": b"regedt32:cntrafficsymbols/speedlimit_low_special",
 b"speedlimit_low_50": b"regedt32:cntrafficsymbols/speedlimit_low_special",
 b"speedlimit_low_55": b"regedt32:cntrafficsymbols/speedlimit_low_special",
 b"speedlimit_low_5": b"regedt32:cntrafficsymbols/speedlimit_low_special",
 b"speedlimit_low_60": b"regedt32:cntrafficsymbols/speedlimit_low_special",
 b"speedlimit_low_65": b"regedt32:cntrafficsymbols/speedlimit_low_special",
 b"speedlimit_low_70": b"regedt32:cntrafficsymbols/speedlimit_low_special",
 b"speedlimit_low_75": b"regedt32:cntrafficsymbols/speedlimit_low_special",
 b"speedlimit_low_80": b"regedt32:cntrafficsymbols/speedlimit_low_special",
 b"speedlimit_low_85": b"regedt32:cntrafficsymbols/speedlimit_low_special",
 b"speedlimit_low_90": b"regedt32:cntrafficsymbols/speedlimit_low_special",
 b"speedlimit_low_95": b"regedt32:cntrafficsymbols/speedlimit_low_special",
 b"speedlimit_low": b"regedt32:cntrafficsymbols/speedlimit_low_special",
 b"speedlimit_low_special": b"regedt32:cntrafficsymbols/speedlimit_low_special",
 b"heightlimit_special": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_0d1": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_0d2": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_0d3": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_0d4": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_0d5": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_0d6": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_0d7": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_0d8": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_0d9": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_1": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_1d1": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_1d2": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_1d3": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_1d4": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_1d5": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_1d6": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_1d7": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_1d8": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_1d9": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_2": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_2d1": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_2d2": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_2d3": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_2d4": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_2d5": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_2d6": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_2d7": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_2d8": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_2d9": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_3": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_3d1": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_3d2": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_3d3": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_3d4": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_3d5": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_3d6": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_3d7": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_3d8": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_3d9": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_4": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_4d1": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_4d2": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_4d3": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_4d4": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_4d5": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_4d6": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_4d7": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_4d8": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_4d9": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_5": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_5d1": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_5d2": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_5d3": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_5d4": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_5d5": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_5d6": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_5d7": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_5d8": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_5d9": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_6": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_6d1": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_6d2": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_6d3": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_6d4": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_6d5": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_6d6": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_6d7": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_6d8": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_6d9": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_7": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_7d1": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_7d2": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_7d3": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_7d4": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_7d5": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_7d6": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_7d7": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_7d8": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_7d9": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_8": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_8d1": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_8d2": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_8d3": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_8d4": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_8d5": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_8d6": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_8d7": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_8d8": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_8d9": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_9": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_9d1": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_9d2": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_9d3": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_9d4": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_9d5": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_9d6": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_9d7": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_9d8": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_9d9": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"heightlimit_10": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"prohibition": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"no_u_turn": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"no_left_turn": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"no_right_turn": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"no_parking": b"regedt32:cntrafficsymbols/speedlimit_high_special",
 b"white_floor_line_eighth": b"minecraft:white_concrete",
 b"yellow_floor_line_eighth": b"minecraft:yellow_concrete",
 b"white_dotted4_tp": b"minecraft:white_concrete",
 b"orange_dotted4_tp": b"minecraft:orange_concrete",
 b"magenta_dotted4_tp": b"minecraft:magenta_concrete",
 b"light_blue_dotted4_tp": b"minecraft:light_blue_concrete",
 b"yellow_dotted4_tp": b"minecraft:yellow_concrete",
 b"lime_dotted4_tp": b"minecraft:lime_concrete",
 b"pink_dotted4_tp": b"minecraft:pink_concrete",
 b"gray_dotted4_tp": b"minecraft:gray_concrete",
 b"light_gray_dotted4_tp": b"minecraft:light_gray_concrete",
 b"cyan_dotted4_tp": b"minecraft:cyan_concrete",
 b"purple_dotted4_tp": b"minecraft:purple_concrete",
 b"blue_dotted4_tp": b"minecraft:blue_concrete",
 b"brown_dotted4_tp": b"minecraft:brown_concrete",
 b"green_dotted4_tp": b"minecraft:green_concrete",
 b"red_dotted4_tp": b"minecraft:red_concrete",
 b"black_dotted4_tp": b"minecraft:black_concrete",
 b"white_dotted5_tp": b"minecraft:white_concrete",
 b"orange_dotted5_tp": b"minecraft:orange_concrete",
 b"magenta_dotted5_tp": b"minecraft:magenta_concrete",
 b"light_blue_dotted5_tp": b"minecraft:light_blue_concrete",
 b"yellow_dotted5_tp": b"minecraft:yellow_concrete",
 b"lime_dotted5_tp": b"minecraft:lime_concrete",
 b"pink_dotted5_tp": b"minecraft:pink_concrete",
 b"gray_dotted5_tp": b"minecraft:gray_concrete",
 b"light_gray_dotted5_tp": b"minecraft:light_gray_concrete",
 b"cyan_dotted5_tp": b"minecraft:cyan_concrete",
 b"purple_dotted5_tp": b"minecraft:purple_concrete",
 b"blue_dotted5_tp": b"minecraft:blue_concrete",
 b"brown_dotted5_tp": b"minecraft:brown_concrete",
 b"green_dotted5_tp": b"minecraft:green_concrete",
 b"red_dotted5_tp": b"minecraft:red_concrete",
 b"black_dotted5_tp": b"minecraft:black_concrete",
 b"white_dotted6_tp": b"minecraft:white_concrete",
 b"orange_dotted6_tp": b"minecraft:orange_concrete",
 b"magenta_dotted6_tp": b"minecraft:magenta_concrete",
 b"light_blue_dotted6_tp": b"minecraft:light_blue_concrete",
 b"yellow_dotted6_tp": b"minecraft:yellow_concrete",
 b"lime_dotted6_tp": b"minecraft:lime_concrete",
 b"pink_dotted6_tp": b"minecraft:pink_concrete",
 b"gray_dotted6_tp": b"minecraft:gray_concrete",
 b"light_gray_dotted6_tp": b"minecraft:light_gray_concrete",
 b"cyan_dotted6_tp": b"minecraft:cyan_concrete",
 b"purple_dotted6_tp": b"minecraft:purple_concrete",
 b"blue_dotted6_tp": b"minecraft:blue_concrete",
 b"brown_dotted6_tp": b"minecraft:brown_concrete",
 b"green_dotted6_tp": b"minecraft:green_concrete",
 b"red_dotted6_tp": b"minecraft:red_concrete",
 b"black_dotted6_tp": b"minecraft:black_concrete",
 b"white_dotted7_tp": b"minecraft:white_concrete",
 b"orange_dotted7_tp": b"minecraft:orange_concrete",
 b"magenta_dotted7_tp": b"minecraft:magenta_concrete",
 b"light_blue_dotted7_tp": b"minecraft:light_blue_concrete",
 b"yellow_dotted7_tp": b"minecraft:yellow_concrete",
 b"lime_dotted7_tp": b"minecraft:lime_concrete",
 b"pink_dotted7_tp": b"minecraft:pink_concrete",
 b"gray_dotted7_tp": b"minecraft:gray_concrete",
 b"light_gray_dotted7_tp": b"minecraft:light_gray_concrete",
 b"cyan_dotted7_tp": b"minecraft:cyan_concrete",
 b"purple_dotted7_tp": b"minecraft:purple_concrete",
 b"blue_dotted7_tp": b"minecraft:blue_concrete",
 b"brown_dotted7_tp": b"minecraft:brown_concrete",
 b"green_dotted7_tp": b"minecraft:green_concrete",
 b"red_dotted7_tp": b"minecraft:red_concrete",
 b"black_dotted7_tp": b"minecraft:black_concrete",
 b"white_dotted8_tp": b"minecraft:white_concrete",
 b"orange_dotted8_tp": b"minecraft:orange_concrete",
 b"magenta_dotted8_tp": b"minecraft:magenta_concrete",
 b"light_blue_dotted8_tp": b"minecraft:light_blue_concrete",
 b"yellow_dotted8_tp": b"minecraft:yellow_concrete",
 b"lime_dotted8_tp": b"minecraft:lime_concrete",
 b"pink_dotted8_tp": b"minecraft:pink_concrete",
 b"gray_dotted8_tp": b"minecraft:gray_concrete",
 b"light_gray_dotted8_tp": b"minecraft:light_gray_concrete",
 b"cyan_dotted8_tp": b"minecraft:cyan_concrete",
 b"purple_dotted8_tp": b"minecraft:purple_concrete",
 b"blue_dotted8_tp": b"minecraft:blue_concrete",
 b"brown_dotted8_tp": b"minecraft:brown_concrete",
 b"green_dotted8_tp": b"minecraft:green_concrete",
 b"red_dotted8_tp": b"minecraft:red_concrete",
 b"black_dotted8_tp": b"minecraft:black_concrete",
 b"white_dotted9_tp": b"minecraft:white_concrete",
 b"orange_dotted9_tp": b"minecraft:orange_concrete",
 b"magenta_dotted9_tp": b"minecraft:magenta_concrete",
 b"light_blue_dotted9_tp": b"minecraft:light_blue_concrete",
 b"yellow_dotted9_tp": b"minecraft:yellow_concrete",
 b"lime_dotted9_tp": b"minecraft:lime_concrete",
 b"pink_dotted9_tp": b"minecraft:pink_concrete",
 b"gray_dotted9_tp": b"minecraft:gray_concrete",
 b"light_gray_dotted9_tp": b"minecraft:light_gray_concrete",
 b"cyan_dotted9_tp": b"minecraft:cyan_concrete",
 b"purple_dotted9_tp": b"minecraft:purple_concrete",
 b"blue_dotted9_tp": b"minecraft:blue_concrete",
 b"brown_dotted9_tp": b"minecraft:brown_concrete",
 b"green_dotted9_tp": b"minecraft:green_concrete",
 b"red_dotted9_tp": b"minecraft:red_concrete",
 b"black_dotted9_tp": b"minecraft:black_concrete",
 b"white_dotted10_tp": b"minecraft:white_concrete",
 b"orange_dotted10_tp": b"minecraft:orange_concrete",
 b"magenta_dotted10_tp": b"minecraft:magenta_concrete",
 b"light_blue_dotted10_tp": b"minecraft:light_blue_concrete",
 b"yellow_dotted10_tp": b"minecraft:yellow_concrete",
 b"lime_dotted10_tp": b"minecraft:lime_concrete",
 b"pink_dotted10_tp": b"minecraft:pink_concrete",
 b"gray_dotted10_tp": b"minecraft:gray_concrete",
 b"light_gray_dotted10_tp": b"minecraft:light_gray_concrete",
 b"cyan_dotted10_tp": b"minecraft:cyan_concrete",
 b"purple_dotted10_tp": b"minecraft:purple_concrete",
 b"blue_dotted10_tp": b"minecraft:blue_concrete",
 b"brown_dotted10_tp": b"minecraft:brown_concrete",
 b"green_dotted10_tp": b"minecraft:green_concrete",
 b"red_dotted10_tp": b"minecraft:red_concrete",
 b"black_dotted10_tp": b"minecraft:black_concrete",
 b"white_lined4_tp": b"minecraft:white_concrete",
 b"orange_lined4_tp": b"minecraft:orange_concrete",
 b"magenta_lined4_tp": b"minecraft:magenta_concrete",
 b"light_blue_lined4_tp": b"minecraft:light_blue_concrete",
 b"yellow_lined4_tp": b"minecraft:yellow_concrete",
 b"lime_lined4_tp": b"minecraft:lime_concrete",
 b"pink_lined4_tp": b"minecraft:pink_concrete",
 b"gray_lined4_tp": b"minecraft:gray_concrete",
 b"light_gray_lined4_tp": b"minecraft:light_gray_concrete",
 b"cyan_lined4_tp": b"minecraft:cyan_concrete",
 b"purple_lined4_tp": b"minecraft:purple_concrete",
 b"blue_lined4_tp": b"minecraft:blue_concrete",
 b"brown_lined4_tp": b"minecraft:brown_concrete",
 b"green_lined4_tp": b"minecraft:green_concrete",
 b"red_lined4_tp": b"minecraft:red_concrete",
 b"black_lined4_tp": b"minecraft:black_concrete",
 b"white_lined5_tp": b"minecraft:white_concrete",
 b"orange_lined5_tp": b"minecraft:orange_concrete",
 b"magenta_lined5_tp": b"minecraft:magenta_concrete",
 b"light_blue_lined5_tp": b"minecraft:light_blue_concrete",
 b"yellow_lined5_tp": b"minecraft:yellow_concrete",
 b"lime_lined5_tp": b"minecraft:lime_concrete",
 b"pink_lined5_tp": b"minecraft:pink_concrete",
 b"gray_lined5_tp": b"minecraft:gray_concrete",
 b"light_gray_lined5_tp": b"minecraft:light_gray_concrete",
 b"cyan_lined5_tp": b"minecraft:cyan_concrete",
 b"purple_lined5_tp": b"minecraft:purple_concrete",
 b"blue_lined5_tp": b"minecraft:blue_concrete",
 b"brown_lined5_tp": b"minecraft:brown_concrete",
 b"green_lined5_tp": b"minecraft:green_concrete",
 b"red_lined5_tp": b"minecraft:red_concrete",
 b"black_lined5_tp": b"minecraft:black_concrete",
 b"white_lined6_tp": b"minecraft:white_concrete",
 b"orange_lined6_tp": b"minecraft:orange_concrete",
 b"magenta_lined6_tp": b"minecraft:magenta_concrete",
 b"light_blue_lined6_tp": b"minecraft:light_blue_concrete",
 b"yellow_lined6_tp": b"minecraft:yellow_concrete",
 b"lime_lined6_tp": b"minecraft:lime_concrete",
 b"pink_lined6_tp": b"minecraft:pink_concrete",
 b"gray_lined6_tp": b"minecraft:gray_concrete",
 b"light_gray_lined6_tp": b"minecraft:light_gray_concrete",
 b"cyan_lined6_tp": b"minecraft:cyan_concrete",
 b"purple_lined6_tp": b"minecraft:purple_concrete",
 b"blue_lined6_tp": b"minecraft:blue_concrete",
 b"brown_lined6_tp": b"minecraft:brown_concrete",
 b"green_lined6_tp": b"minecraft:green_concrete",
 b"red_lined6_tp": b"minecraft:red_concrete",
 b"black_lined6_tp": b"minecraft:black_concrete",
 b"white_lined7_tp": b"minecraft:white_concrete",
 b"orange_lined7_tp": b"minecraft:orange_concrete",
 b"magenta_lined7_tp": b"minecraft:magenta_concrete",
 b"light_blue_lined7_tp": b"minecraft:light_blue_concrete",
 b"yellow_lined7_tp": b"minecraft:yellow_concrete",
 b"lime_lined7_tp": b"minecraft:lime_concrete",
 b"pink_lined7_tp": b"minecraft:pink_concrete",
 b"gray_lined7_tp": b"minecraft:gray_concrete",
 b"light_gray_lined7_tp": b"minecraft:light_gray_concrete",
 b"cyan_lined7_tp": b"minecraft:cyan_concrete",
 b"purple_lined7_tp": b"minecraft:purple_concrete",
 b"blue_lined7_tp": b"minecraft:blue_concrete",
 b"brown_lined7_tp": b"minecraft:brown_concrete",
 b"green_lined7_tp": b"minecraft:green_concrete",
 b"red_lined7_tp": b"minecraft:red_concrete",
 b"black_lined7_tp": b"minecraft:black_concrete",
 b"white_lined8_tp": b"minecraft:white_concrete",
 b"orange_lined8_tp": b"minecraft:orange_concrete",
 b"magenta_lined8_tp": b"minecraft:magenta_concrete",
 b"light_blue_lined8_tp": b"minecraft:light_blue_concrete",
 b"yellow_lined8_tp": b"minecraft:yellow_concrete",
 b"lime_lined8_tp": b"minecraft:lime_concrete",
 b"pink_lined8_tp": b"minecraft:pink_concrete",
 b"gray_lined8_tp": b"minecraft:gray_concrete",
 b"light_gray_lined8_tp": b"minecraft:light_gray_concrete",
 b"cyan_lined8_tp": b"minecraft:cyan_concrete",
 b"purple_lined8_tp": b"minecraft:purple_concrete",
 b"blue_lined8_tp": b"minecraft:blue_concrete",
 b"brown_lined8_tp": b"minecraft:brown_concrete",
 b"green_lined8_tp": b"minecraft:green_concrete",
 b"red_lined8_tp": b"minecraft:red_concrete",
 b"black_lined8_tp": b"minecraft:black_concrete",
 b"white_lined9_tp": b"minecraft:white_concrete",
 b"orange_lined9_tp": b"minecraft:orange_concrete",
 b"magenta_lined9_tp": b"minecraft:magenta_concrete",
 b"light_blue_lined9_tp": b"minecraft:light_blue_concrete",
 b"yellow_lined9_tp": b"minecraft:yellow_concrete",
 b"lime_lined9_tp": b"minecraft:lime_concrete",
 b"pink_lined9_tp": b"minecraft:pink_concrete",
 b"gray_lined9_tp": b"minecraft:gray_concrete",
 b"light_gray_lined9_tp": b"minecraft:light_gray_concrete",
 b"cyan_lined9_tp": b"minecraft:cyan_concrete",
 b"purple_lined9_tp": b"minecraft:purple_concrete",
 b"blue_lined9_tp": b"minecraft:blue_concrete",
 b"brown_lined9_tp": b"minecraft:brown_concrete",
 b"green_lined9_tp": b"minecraft:green_concrete",
 b"red_lined9_tp": b"minecraft:red_concrete",
 b"black_lined9_tp": b"minecraft:black_concrete",
 b"white_lined10_tp": b"minecraft:white_concrete",
 b"orange_lined10_tp": b"minecraft:orange_concrete",
 b"magenta_lined10_tp": b"minecraft:magenta_concrete",
 b"light_blue_lined10_tp": b"minecraft:light_blue_concrete",
 b"yellow_lined10_tp": b"minecraft:yellow_concrete",
 b"lime_lined10_tp": b"minecraft:lime_concrete",
 b"pink_lined10_tp": b"minecraft:pink_concrete",
 b"gray_lined10_tp": b"minecraft:gray_concrete",
 b"light_gray_lined10_tp": b"minecraft:light_gray_concrete",
 b"cyan_lined10_tp": b"minecraft:cyan_concrete",
 b"purple_lined10_tp": b"minecraft:purple_concrete",
 b"blue_lined10_tp": b"minecraft:blue_concrete",
 b"brown_lined10_tp": b"minecraft:brown_concrete",
 b"green_lined10_tp": b"minecraft:green_concrete",
 b"red_lined10_tp": b"minecraft:red_concrete",
 b"black_lined10_tp": b"minecraft:black_concrete"
}
for k,v in D.items():
 s=v.replace(b":",b"/").split(b"/")[-1]
 with open(f"{k.decode()}.json","wb")as f:f.write(EX%(s,v,k,s,k))
